videos
Search video content from a large independent index of web pages.
Authorization
Query Parameters
The user’s search query term. Query can not be empty. Maximum of 400 characters and 50 words in the query.
search_lang enum<string> The search language preference. The 2 or more character language code for which the search results are provided.
Default:
"en"Available options:
areubn ui_lang enum<string> User interface language preferred in response. Usually of the format
<language_code>-<country_code>. For more, see RFC 9110. Default:
"en-US"Available options:
es-ARen-AUde-AT country enum<string> The search query country, where the results come from. The country string is limited to 2 character country codes of supported countries or
ALL for worldwide. Default:
"US"Available options:
ARAUAT safesearch enum<string> Filters search results for adult content. The following values are supported:
- off - No filtering is done.
- moderate - Filters explicit content, like images and videos, but allows adult domains in the search results.
- strict - Drops all adult content from search results.
Default:
"moderate"Available options:
offmoderatestrict count integer The number of search results returned in response. The maximum is 50. The actual number delivered may be less than requested. Combine this parameter with offset to paginate search results.
Min:
1 Max: 50 Default: 20offset integer The zero based offset that indicates number of search results per page (count) to skip before returning the result. The maximum is 9. The actual number delivered may be less than requested based on the query. In order to paginate results use this parameter together with count. For example, if your user interface displays 20 search results per page, set count to 20 and offset to 0 to show the first page of results. To get subsequent pages, increment offset by 1 (e.g. 0, 1, 2). The results may overlap across multiple pages.
Min:
0 Max: 9 Default: 0spellcheck boolean Whether to spell check the provided query. If the spellchecker is enabled, the modified query is always used for search. The modified query can be found in altered key from the query response model.
Default:
trueFilters search results by page age. The age of a page is determined by the most relevant date reported by the content, such as its published or last modified date. The following values are supported:
- pd - Pages aged 24 hours or less.
- pw - Pages aged 7 days or less.
- pm - Pages aged 31 days or less.
- py - Pages aged 365 days or less.
- YYYY-MM-DDtoYYYY-MM-DD - A custom date range is also supported by specifying start and end dates e.g.
2022-04-01to2022-07-30.
Default:
""Headers
api-version string The API version to use. This is denoted by the format
YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.accept enum<string> The default supported media type is application/json.
Default:
"application/json"Available options:
application/json*/* cache-control "no-cache" Brave Search will return cached content by default. To prevent caching set the Cache-Control header to
no-cache. This is currently done as best effort.user-agent string Mozilla/5.0 (Linux; Android 12) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.5060.71 Mobile Safari/537.36AndroidMozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) CriOS/103.0.5060.63 Mobile/15E148 Safari/604.1iOSMozilla/5.0 (Macintosh; Intel Mac OS X 12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36macOSMozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36Windows
The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.
Responses
200 Successful Response
type "videos" query object requiredVideo search query string.
results object[] The list of video results for the given query.
extra object requiredAdditional information about the video search results.